1.1

1.1

get /v1/data-flow-services

Description

get dataflow service list console v1.1

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_dt:desc
stringcreated_dt:desc
querycreated_by
optional
created_by
Example :
stringNone
querystate
optional
state
Example :
enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING)None
querydata_flow_service_name
optional
data_flow_service_name
Example :
any of [string, null]None
querydata_flow_name
optional
data_flow_name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKListDataFlowServicesConsoleResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flow-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "cluster_id": "",
            "cluster_name": "",
            "cluster_permission": {},
            "cluster_request_failed": false,
            "created_by": "",
            "created_dt": "2026-02-11T06:41:25.909Z",
            "data_flow_id": "",
            "data_flow_name": "",
            "data_flow_service_id": "",
            "data_flow_service_name": "",
            "description": "",
            "modified_by": "",
            "modified_dt": "2026-02-11T06:41:25.915Z",
            "state": "",
            "version": ""
        }
    ],
    "total_count": ""
}